﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TifToPdf
{
    using System.Drawing.Imaging;
    using System.IO;

    using Infragistics.Documents.Reports.Report;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var report = new Report();
            var section = report.AddSection();

            Image imageIn = Image.FromFile(@"C:\temp\tiff.tif");
            Guid objGuid = imageIn.FrameDimensionsList[0];
            var objDimension = new FrameDimension(objGuid);
            var ms = new MemoryStream();
            Infragistics.Documents.Reports.Graphics.Image img;
            int pageCount = imageIn.GetFrameCount(FrameDimension.Page);
            for (int i = 0; i < pageCount; i++)
            {

                imageIn.SelectActiveFrame(objDimension, i);
                img = new Infragistics.Documents.Reports.Graphics.Image(imageIn);
                
                var image = section.AddImage(img);
                image.Width = new FixedWidth(imageIn.Width);
                image.Margins.Top = 25;
            }

            report.Publish(@"c:\temp\tiff.pdf", FileFormat.PDF);
        }
    }
}
